Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20592
Description

GDAL/OGR import tools and probably others are not available using the simplified interface. Tested with "Import Vector into PostGIS
database" and "Import into PostGIS". Searching for "import" yields no result in simplified view, but 5 results in normal view. This means
for QGIS 2.8 users on Windows, that the have to edit their registry to use these tools.

History

#1 - 2015-03-22 03:15 AM - Giovanni Manghi
- Priority changed from High to Normal
- Status changed from Open to Feedback

| just tested using the latest Processing version (it has just uploaded an upgrade as a plugin) and at least 1 tool do show in the simplified interface, is ogr
"import vector into postgis database (available connections)".

#2 - 2015-05-11 02:18 PM - Giovanni Manghi
- Affected QGIS version changed from 2.8.1 to master

- Status changed from Feedback to Open

#3 - 2015-06-07 04:04 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

#4 - 2015-06-22 02:25 AM - Victor Olaya

- Status changed from Open to Closed

The simplified interface is not suppossed to contain all available algorithm. IT shows a different organization, but also a reduced list of algorithm (GRASS

ones, for instance, do not appear)

| have added one of the import to postgis algorithms. You can see it in commit:d9e7498

(no need to modify the algnames.txt file, that was a mistake that i fixed in the next commit. Only add it to the algclassification file)

This adds the import functoinality to the simplified interface, while still not complicating it too much with a set of similar-looking algs

| close this issue, but if you think that more algorithms should be added, reopen it. Also, as you can see, the mechanism to decalre algorithms for the
simplified mode is very simple, so feel free to add them yourself if you feel there is some algorithms that is not there but should be
